curl --request GET \
--url https://api.sandbox.lead.bank/v0/accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "account_xyz123",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"application_id": "application_xyz123",
"status": "active",
"status_reason": "client_closed",
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer"
},
"details": {
"product_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"credit": {
"is_secured": true,
"is_mla": true,
"underwriting_grade": "<string>",
"currency": "USD",
"available_credit": 123,
"limit": 123,
"max_limit": 123,
"scra": {
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"report": {
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax",
"score": 575,
"non_score_value": "unestablished"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"metadata": {},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"client_account_id": "<string>"
}{
"code": "parameters_invalid",
"title": "Your request parameters did not validate.",
"detail": "The format of the account ID is invalid.",
"invalid_parameters": [
{
"name": "id",
"reason": "String must match format account_*"
}
]
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "rate_limit_exceeded",
"title": "You've reached the rate limit for this call, your request was not processed.",
"detail": "If you are continuously hitting rate limits please contact the Lead team.",
"invalid_parameters": []
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve an Account
Retrieves a specific account by its ID. Accepts a server-generated ID (account_*).
Note: Entity relationships are not included in the response. Use GET /v0/accounts//entity_relationships to retrieve them.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account ID The ID of the Account object.
^account_\w+$"account_xyz123"
Response
Account object retrieved successfully.
An account object
The ID of the Account object.
^account_\w+$"account_xyz123"
Creation timestamp
Last update timestamp
Unique identifier for the application. Prefixed with application_.
^application_\w+$"application_xyz123"
Current state of the account
active, inactive, closed Machine-readable reason for the current status
client_closed, entity_closed, frozen, dormant, active, paid_off, charged_off, canceled, other List of items that inform Lead how the Account will be used
Capability that informs Lead how the Account will be used
deposit, credit_with_underwriting, credit_without_underwriting Entity relationships associated with the account (response only)
Show child attributes
Show child attributes
Core details of the account
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Array of associated legal or informational documents
Show child attributes
Show child attributes
Client-provided identifier for the account. Optional: present only for accounts created via file upload, and omitted for accounts created through the API, which are identified solely by their server-generated ID.
Was this page helpful?

